it-swarm.com.de

Apache Maven Plugin für Eclipse installieren

Ich versuche gerade, ein Apache Maven Plugin für Eclipse herunterzuladen, damit ich ein Projekt von Ant migrieren kann. Ich habe zahlreiche Tutorialseiten zur Installation dieses Plugins gelesen, und die meisten bieten eine Aktualisierungssite. Leider findet mein Eclipse keine der Repositories, die angeblich bei der angegebenen URL liegen. Hier sind einige von denen, die ich ausprobiert habe:

http://m2Eclipse.sonatype.org/sites/m2e/
http://download.Eclipse.org/technology/m2e/releases/
http://mevenide.codehaus.org/maven-Eclipse-plugin-plugin/

Leider haben sich all diese Funktionen noch nicht als nützlich erwiesen, und ich beginne zu denken, dass eine bestimmte Einstellung in Eclipse selbst möglicherweise nicht vorhanden ist oder fehlt, sodass sie diese Repositories nicht finden kann. Manchmal sagt es mir jedoch, dass es einfach nicht möglich ist, ein Repository zu lesen. Beispielsweise hat Eclipse diesen Fehler einige Male ausgespuckt, als er versuchte, http://m2Eclipse.sonatype.org/sites/m2e/ zu verwenden:

Unable to read repository at http://m2Eclipse.sonatype.org/sites/m2e/content.xml.

Wenn dies passiert, scheint es, als würde das Repository "gefunden", aber es kann es einfach nicht lesen ... Wie ich bereits sagte, habe ich eine Handvoll Anweisungen zum Herunterladen des Plugins befolgt, und keiner hat dankbar gearbeitet zu diesem ersten Schritt. Irgendwelche Ideen?

17
Kris Schouw

m2Eclipse ist von sonatype nach Eclipse umgezogen. 

Die Aktualisierungsseite von correct ist http://download.Eclipse.org/technology/m2e/releases/

Wenn dies nicht funktioniert, haben Sie möglicherweise eine ältere Version von Eclipse (<3.6). Der andere - wenn Sie Timeout-bezogene Fehler sehen - könnte sein, dass Sie sich hinter einem Proxyserver befinden.

26
Raghuram

Sie können maven von m2Eclipse installieren - http://download.Eclipse.org/technology/m2e/releases

20
user1309573

Für Eclipse (Helios) funktioniert das folgende Verfahren - ich habe es ausprobiert:

  1. Gehen Sie zu Hilfe -> Neue Software installieren
  2. Fügen Sie den folgenden Link hinzu: http://download.Eclipse.org/technology/m2e/releases/1.3
  3. Wenn Ergebnisse gefunden werden, deaktivieren Sie "sl4j ... (optional)".
  4. Nächster
11
Vladik Y

Installierter Maven in Juno IDE für Java EE (Eclipse-jee-juno-SR2-linux-gtk-x86_64)

Eclipse -> Verfügbare Software-Sites -> Maven-URL -> http://download.Eclipse.org/technology/m2e/releases

Die folgende Maven-URL funktionierte nicht und gab den Fehler "Keine Software gefunden" aus: http://Eclipse.org/m2e/download/

6
asilchenko

Ich habe hier Maven Integration for Eclipse gefunden.

http://download.Eclipse.org/technology/m2e/releases

Nach der Installation starten Sie Eclipse neu. Ich habe für Eclipse Juno gearbeitet.

4
user2562520
  1. In Eclipse Wählen Sie Hilfe -> Marktplatz

  2. Geben Sie "Maven" in das Suchfeld ein und klicken Sie auf die Schaltfläche Start

  3. Klicken Sie auf "Installieren" für die Maven-Integration für Eclipse (Juno und neuer).

Damit sollte maven problemlos installiert werden.

3
Sikander

Diese wurde jetzt an einen neuen Ort verschoben. Bitte verwenden Sie für Updates die unten stehende Site.

   http://download.Eclipse.org/technology/m2e/releases
1
Rajesh Balan

M2Eclipse installieren

Alle Downloads werden gemäß den Bedingungen der Eclipse Foundation Software-Nutzungsvereinbarung bereitgestellt, sofern nicht anders angegeben.

m2e wird gegen Eclipse 4.2 (Juno) und 4.3 (Kepler) getestet.

Unter http://wiki.Eclipse.org/M2E_updatesite_and_gittags finden Sie ausführliche Informationen zu verfügbaren Builds und dem Layout-Layout von m2e Build.

m2e 1.3 und frühere Version wurden von der m2e Update-Site entfernt. Diese alten Versionen sind noch verfügbar und können aus Repositorys installiert werden, die in http://wiki.Eclipse.org/M2E_updatesite_and_gittags dokumentiert sind.

Bitte beachten Sie, dass die untenstehenden Links auf Eclipse p2-Repositorys verweisen. Sie müssen über Eclipse darauf zugreifen (siehe Wie) Update-Sites Letzte m2e-Version (empfohlen) http://download.Eclipse.org/technology/m2e/releases Der Meilenstein von m2e ist in Richtung Version 1.5 http://download.Eclipse.org/technology/m2e/milestones/1.5 Der neueste m2e 1.5 SNAPSHOT-Build (nicht getestet, nicht bei Eclipse.org gehostet) http://repository.takari.io:8081/nexus/content/sites/m2e.extras/m2e/1.5.0/N/LATEST/

1
Zeeshan Akhter

Die Eclipse von Ubuntu 12.04 war für mich so kaputt, dass ich M2E nicht installieren konnte. Die einzige Möglichkeit, dies zu beheben, bestand im offiziellen tar-Archiv von der Eclipse-Downloadseite, nachdem alle Ubuntu-Eclipse-Pakete gelöscht wurden. - Prost

0
cmcginty

Eclipse> Hilfe> Eclipse Marketplace ...

Suche nach m2e

Installieren Sie Maven Integration for Eclipse (Juno and newer). [Es funktioniert auch für Indigo]

0
Prashanth Sams